<?php
namespace theme\functions\plugin_management;

require_once 'tgmplugin/class-tgm-plugin-activation.php';


function theme_register_required_plugins() {
	$plugins = [
		[
			'name'      => 'Query Monitor',
			'slug'      => 'query-monitor',
			'required'  => true,
		],
	];

	$config = [
		'id'           => 'this-theme',            // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => false,                   // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	];

	tgmpa( $plugins, $config );
}

add_action( 'tgmpa_register', 'theme\functions\plugin_management\theme_register_required_plugins' );
